#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define pkgname pychm
Name:           python-%{pkgname}
Version:        0.8.6
Release:        2.5
Summary:        Python package to handle CHM files
License:        GPL-2.0-or-later
URL:            https://github.com/dottedmag/pychm
Source0:        https://files.pythonhosted.org/packages/source/p/pychm/pychm-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  chmlib-devel
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  swig
%python_subpackages

%description
The chm package provides three modules, chm, chmlib and extra, which
provide access to the API implemented by the C library chmlib and some
additional classes and functions. They are used to access MS-ITSS encoded
files - Compressed Html Help files (.chm).

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%fdupes %{buildroot}

%files %{python_files}
%license COPYING
%doc README
%{python_sitearch}/chm
%{python_sitearch}/pychm-%{version}*-info

%changelog
* Thu Jun 29 2023 Matej Cepl <mcepl@suse.com>
- Clean up SPEC file.
* Wed Jun 28 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Mar 19 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.8.6:
  + 0.8.6
  * Fix crash on Windows, Linux introduced in 0.8.5 (#7)
  * Restore compatibility with Python 2.7
    (malformed runtime error messages, compilation warnings) (#6)
  + 0.8.5
  * Get rid of SWIG
  * Python 3 support
- Build for both Python 2 and 3
- Drop odd Provides/Obseletes
* Tue Nov 21 2017 mpluskal@suse.com
- Convert to singlespec
* Fri Aug 15 2014 toddrme2178@gmail.com
- Rename package to python-pychm to meet python packaging rules
  This also brings the package and spec file names into agreement
* Fri Aug 15 2014 toddrme2178@gmail.com
- Update to 0.8.4.1:
  * New maintainer (Mikhail Gusarov)
  * Fix compilation under OS X and Windows.
- Complete rewrite of the spec file to match current python
  packaging conventions.
- Updated URL and point source package to pypi download location.
- Update license to GPL-2.0+ (it was listed as GPL-2.0)
- Build now requires python-setuptools
* Mon May 30 2011 lazy.kent@opensuse.org
- renamed to python-PyCHM
* Fri Jul 30 2010 lazy.kent.suse@gmail.com
- initial package created - 0.8.4
